<?php

include($_SERVER['DOCUMENT_ROOT'] . '/Php/Public/Helper.php');

if (isset($ADMINKEY)) { }else{ exit('404');   }

include($_SERVER['DOCUMENT_ROOT'] . '/Php/Admin/cookie.php');?>
<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>久草CMS管理中心-SEO管理</title>
    <meta name="description" content="这是一个 index 页面">
    <meta name="keywords" content="index">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="renderer" content="webkit">
    <link rel="icon" type="image/png" href="../Static/Admin/Pic/favicon.png">
    <meta http-equiv="Cache-Control" content="no-siteapp" />
    <meta name="apple-mobile-web-app-title" content="Amaze UI" />
    <link rel="stylesheet" href="../Static/Admin/Css/amazeui.min.css" />
    <link rel="stylesheet" href="../Static/Admin/Css/admin.css">
    <link rel="stylesheet" href="../Static/Admin/Css/app.css">
        <!--    <script src="../Static/Admin/Css/echarts.min.js"></script>-->
</head>
<body data-type="index">
<?php include('../Php/Admin/header.php');?>
<div class="tpl-page-container tpl-page-header-fixed">
    <?php include('../Php/Admin/list.php');?>
    <div class="tpl-content-wrapper">

        <ol class="am-breadcrumb">
            <li><a href="#" class="am-icon-home">首页</a></li>
            <li>SEO</li>
            <li class="am-active">SEO设置</li>
        </ol>
        <div class="tpl-portlet-components">
            <div class="portlet-title">
                <div class="caption font-green bold">
                    <span class="am-icon-code"></span> SEO设置
                </div>
            </div>
            <div class="tpl-block">

                <div class="am-g">
                    <form method="post" enctype="multipart/form-data" class="am-form">
                        <?php
                        ?>
                        <div class="am-u-sm-12 am-u-md-4">
                            <div class="am-btn-toolbar">
                                <div class="am-btn-group am-btn-group-xs">
                                    <a><button  name="submit" type="submit"  class="am-btn am-btn-default am-btn-success"><span class="am-icon-pencil-square-o"></span>修改</button></a>
                                </div>
                            </div>
                        </div>
                        <div class="am-u-sm-12">
                                <?php
                                function setEmptyArray($type){
                                        return ["Id"=>$type,"SeoTitle"=>"","SeoKeyWord"=>"","SeoDesc"=>""];
                                }
                                $typeData  = json_decode(file_get_contents('../JCSQL/type.php'),true);
                                unset($typeData[0]);
                                $AdminSeo = json_decode(file_get_contents("../Plug/Plug_Seo/Plug_data/Seo.php"),true);
//                                1,2,3,4,5,6
//                                7,8,9,10,11,12
//                               13,14,15,16,17,18
//                                19,20,21,22,23,24 小说资源
//                                25,26,27,28,29,30 美图专区
//                                31,32,33,34,35,36 电台种子
                                //组装数据
                                $reponeData =  [];
                                foreach ($typeData as $typeKey=>$type){
                                    $idArray = [1,2,3,4,5,6];
                                    if (in_array($typeKey,$idArray)){
                                        $reponeData['视频一区'][$type['name']] = isset($AdminSeo[$typeKey]) ? $AdminSeo[$typeKey]:setEmptyArray($typeKey);
                                    }
                                    $idArray = [7,8,9,10,11,12];
                                    if (in_array($typeKey,$idArray)){
                                        $reponeData['视频二区'][$type['name']] = isset($AdminSeo[$typeKey]) ? $AdminSeo[$typeKey]:setEmptyArray($typeKey);
                                    }
                                    $idArray = [13,14,15,16,17,18];
                                    if (in_array($typeKey,$idArray)){
                                        $reponeData['视频三区'][$type['name']] = isset($AdminSeo[$typeKey]) ? $AdminSeo[$typeKey]:setEmptyArray($typeKey);
                                    }
                                    $idArray = [19,20,21,22,23,24];
                                    if (in_array($typeKey,$idArray)){
                                        $reponeData['小说资源'][$type['name']] = isset($AdminSeo[$typeKey]) ? $AdminSeo[$typeKey]:setEmptyArray($typeKey);
                                    }
                                    $idArray = [25,26,27,28,29,30];
                                    if (in_array($typeKey,$idArray)){
                                        $reponeData['美图专区'][$type['name']] = isset($AdminSeo[$typeKey]) ? $AdminSeo[$typeKey]:setEmptyArray($typeKey);
                                    }
                                    $idArray = [31,32,33,34,35,36];
                                    if (in_array($typeKey,$idArray)){
                                        $reponeData['电台种子'][$type['name']] = isset($AdminSeo[$typeKey]) ? $AdminSeo[$typeKey]:setEmptyArray($typeKey);
                                    }
                                }


                                    foreach ($reponeData as $cateName=>$types){

                                        ?>
                                        <div class="am-panel-group" id="accordion">
                                            <div class="am-panel am-panel-default">
                                                <div class="am-panel-hd">
                                                    <h4 class="am-panel-title" data-am-collapse="{parent: '#accordion', target: '#do-not-say-1'}">
                                                        <?php echo $cateName;?>
                                                    </h4>
                                                </div>
                                                <div id="do-not-say-1" class="am-panel-collapse am-collapse am-in">
                                                    <div class="am-panel-bd">
                                                        <table class="am-table am-table-striped am-table-hover table-main">
                                                            <thead>
                                                            <tr>
                                                                <th class="table-title">分类Id</th>
                                                                <th class="table-title">标题</th>
                                                                <th class="table-type">关键词</th>
                                                                <th class="table-type">描述</th>
                                                            </tr>
                                                            </thead>


                                                            <tbody style="word-break: break-all;">
                                                        <?php
                                                        foreach ($types as $cateName=>$v){
                                                                $Id	=	$v['Id'] ?? '';//SEO标题
                                                                $SeoTitle	=	$v['SeoTitle'] ?? '';//SEO标题
                                                                $SeoKeyWord	=	$v['SeoKeyWord'] ?? '';//SEO关键词
                                                                $SeoDesc	=	$v['SeoDesc'] ?? '';//SEO描述

                                                            ?>
                                                            <tr>
                                                                <td>
                                                                    <input type="hidden" name="Id[]"  value="<?php echo $Id?>">
                                                                    <?php echo $cateName?>
                                                                </td>
                                                                <td>
                                                                    <label>
                                                                        <input type="text" name="SeoTitle[]"  value="<?php echo $SeoTitle?>">
                                                                    </label>
                                                                </td>
                                                                <td>
                                                                    <label>
                                                                        <input type="text" name="SeoKeyWord[]"  value="<?php echo $SeoKeyWord?>">
                                                                    </label>
                                                                </td>
                                                                <td>
                                                                    <label>
                                                                        <input type="text" name="SeoDesc[]"  value="<?php echo  $SeoDesc?>"
                                                                    </label>
                                                                </td>
                                                            </tr>
                                                        <?php } ?>
                                                            </tbody>

                                                        </table>
                                                </div>
                                            </div>
                                        </div>
                                <?php

                                    }
                                ?>

                            <hr>
                            <script language="javascript">
                                // function alertError(error){
                                //     alert(error);
                                //     window.location.reload();
                                // }
                            </script>
                        </div>
                    </form>
                </div>
            </div>
            <div class="tpl-alert"></div>
        </div>
    </div>
    <?php

    if (isset($_POST['submit'])  && isset($_POST['SeoTitle']) && isset($_POST['SeoKeyWord']) && isset($_POST['SeoDesc']) ) {

        echo '<pre>';
        $Id	=	$_POST['Id'];//SEO标题
        $SeoTitle	=	$_POST['SeoTitle'];//SEO标题
        $SeoKeyWord=	$_POST['SeoKeyWord'];//SEO关键词
        $SeoDesc	=	$_POST['SeoDesc'];//SEO状态

        include('../Php/Public/Mysql.php');
        $AdminSeocount 	= count($SeoTitle);
        $AdminSeoINSERT	=[];
        for ($x=0; $x<$AdminSeocount; $x++) {
            $AdminSeoMod['Id'] = $Id[$x];
            $AdminSeoMod['SeoTitle'] = $SeoTitle[$x];
            $AdminSeoMod['SeoKeyWord'] = $SeoKeyWord[$x];
            $AdminSeoMod['SeoDesc'] = $SeoDesc[$x];
            $AdminSeoINSERT[$x+1]=$AdminSeoMod;
        }

        $file = fopen("../Plug/Plug_Seo/Plug_data/Seo.php","w");
        fwrite($file,json_encode($AdminSeoINSERT));
        fclose($file);

    ?>
        <script language="javascript">
            <!--
            alert("恭喜操作成功！");
            window.location.href=window.location.href;
            window.location.reload;

            -->
        </script>

    <?php
        }
    ?>

    <?php include('../Php/Admin/footer.php');?>
</div>
<script src="../Static/Admin/Js/jquery.min.js"></script>
<script src="../Static/Admin/Js/amazeui.min.js"></script>
<script src="../Static/Admin/Js/app.js"></script>
</body>

</html>